Package org.eclipse.mat.hprof.acquire

# Class JMapHeapDumpProvider

java.lang.Object
org.eclipse.mat.hprof.acquire.JMapHeapDumpProvider

All Implemented Interfaces:
  `IHeapDumpProvider`

public class JMapHeapDumpProvider extends Object implements IHeapDumpProvider

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`defaultChunked`
`boolean`
`defaultCompress`
`boolean`
`defaultLive`
`File`
`jdkHome`
`List<File>`
`jdkList`

## Constructor Summary

Constructors
Constructor
Description
`JMapHeapDumpProvider()`

## Method Summary

Modifier and Type
Method
Description
`File`
`acquireDump(VmInfo info, File preferredLocation, IProgressListener listener)`
Acquire a heap dump from a locally running Java process.
`List<JmapVmInfo>`
`getAvailableVMs(IProgressListener listener)`
Returns a list of locally running Java processes from which the heap dump provider can attempt to acquire a heap dump

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### jdkHome

public File jdkHome

### jdkList

public List<File> jdkList

### defaultCompress

public boolean defaultCompress

### defaultChunked

public boolean defaultChunked

### defaultLive

public boolean defaultLive

## Constructor Details

### JMapHeapDumpProvider

public JMapHeapDumpProvider()

## Method Details

### acquireDump

public File acquireDump(VmInfo info, File preferredLocation, IProgressListener listener) throws SnapshotException
Description copied from interface: `IHeapDumpProvider`
Acquire a heap dump from a locally running Java process. The

Specified by:
  `acquireDump` in interface `IHeapDumpProvider`
Parameters:
  `info` - a descriptor of the Java process which should be dumped
  `preferredLocation` - a preferred filename under which the heap dump should be saved. The `IHeapDumpProvider` is not obliged to provide the heap dump at this location
  `listener` - a progress listener
Returns:
  the File under which the successfully generated heap dump is saved
Throws:
  `SnapshotException`

### getAvailableVMs

public List<JmapVmInfo> getAvailableVMs(IProgressListener listener) throws SnapshotException
Description copied from interface: `IHeapDumpProvider`
Returns a list of locally running Java processes from which the heap dump provider can attempt to acquire a heap dump

Specified by:
  `getAvailableVMs` in interface `IHeapDumpProvider`
Parameters:
  `listener` - a progress listener
Returns:
  A List of VMs, of a type which extends `VmInfo`.
Throws:
  `SnapshotException`